Items
Retrieve digital items from the digital library which are digital files that may be attached to normal items
Retrieves a group of digital items (file information) from the account. If no parameters are specified, all digital items will be returned. Be aware that these are not normal items that can be added to a shopping cart. Rather, they are digital files that may be associated with normal items. You will need to make multiple API calls in order to retrieve the entire result set since this API performs result set pagination.
Create a file within the digital library
Create a file within the digital library. This does not create an item, but makes this digital file available and selectable as part (or all) of an item.
Retrieves digital items from the digital library (which are digital files that may be attached to normal items) that having a matching external id
Retrieves digital items from the digital library (which are digital files that may be attached to normal items) that having a matching external id. Be aware that these are not normal items that can be added to a shopping cart. Rather, they are digital files that may be associated with normal items.
Retrieve digital items from the digital library (which are digital files that may be attached to normal items) not yet associated with actual items
Retrieves a group of digital items (file information) from the account that are not yet associated with any actual items. If no parameters are specified, all digital items will be returned. Be aware that these are not normal items that can be added to a shopping cart. Rather, they are digital files that may be associated with normal items. You will need to make multiple API calls in order to retrieve the entire result set since this API performs result set pagination.
Delete a digital item, which is a file within the digital library, not an actual merchant item
Delete a digital item on the UltraCart account.
Retrieve a digital item from the digital library, which are digital files that may be attached to normal items
Retrieves a digital item (file information) from the account. Be aware that these are not normal items that can be added to a shopping cart. Rather, they are digital files that may be associated with normal items.
Updates a file within the digital library
Updates a file within the digital library. This does not update an item, but updates a digital file available and selectable as part (or all) of an item.
Retrieve items
Retrieves a group of items from the account. If no parameters are specified, all items will be returned. You will need to make multiple API calls in order to retrieve the entire result set since this API performs result set pagination.
Create an item
Create a new item on the UltraCart account.
Update multiple items
Update multiple item on the UltraCart account.
Retrieve a list of item inventories. This method may be called once every 15 minutes. More than that will result in a 429 response.
Retrieve a list of item inventories. This method may be called once every 15 minutes. More than that will result in a 429 response.
Retrieve an item by item id
Retrieves a single item using the specified item id.
Delete an item
Delete an item on the UltraCart account.
Retrieve an item
Retrieves a single item using the specified item oid.
Update an item
Update a new item on the UltraCart account.
Upsert an item content attribute
Update an item content attribute, creating it new if it does not yet exist.
Delete all gated access codes for an item
Removes every gated access code currently configured for the item.
Get gated access codes for an item
Retrieve all unredeemed gated access codes configured for an item.
Add a single gated access code to an item
Insert a single gated access code; the server assigns the OID and created_dts.
Replace the full list of gated access codes for an item
Existing codes not present in the request body are deleted. New codes are inserted. Unchanged codes preserve their OID and created_dts.
Generate a batch of gated access codes
Returns randomly generated codes using a profanity-safe charset (vowel-free, 0/1 removed). Codes are NOT persisted; submit them via PUT or POST to commit.
Delete a gated access code by OID
Delete a specific gated access code by its OID.
Get reviews for an item
Retrieve item reviews.
Insert a review
Insert a item review.
Delete a review
Delete an item review.
Get a review
Retrieve an item review.
Update a review
Update an item review.
Retrieve pricing tiers
Retrieves the pricing tiers
Upload an image to the temporary multimedia.
Uploads an image and returns back meta information about the image as well as the identifier needed for the item update.
Webhooks
The following webhook events are available for this resource. See Webhooks for how delivery, retries, and versioning work.
| Event | Description | Reflow | Expandable |
|---|---|---|---|
item_create | Fired when a new item is created. | — | Yes |
item_delete | Fired when an item is deleted. | — | Yes |
item_update | Fired when an item is updated. | Yes | Yes |